summaryrefslogtreecommitdiffstats
path: root/build_one.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build_one.sh')
-rwxr-xr-xbuild_one.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/build_one.sh b/build_one.sh
new file mode 100755
index 0000000..8e3a8fb
--- /dev/null
+++ b/build_one.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+pattern="$1"
+config=( $(find ptxconfigs/ -path "*${pattern}*.ptxconfig") )
+
+if [ ${#config[@]} -eq 0 ]; then
+ echo "Could not find config for '${pattern}'!"
+ exit 1
+fi
+if [ ${#config[@]} -gt 1 ]; then
+ echo "'${pattern}' matches more than on config:"
+ for cfg in "${config[@]}"; do
+ echo -e "\t${cfg}"
+ done
+ exit 1
+fi
+
+target="${config#ptxconfigs/}"
+target="${target%.ptxconfig}"
+target="gstate/${target//_/-}.pkgs"
+
+exec "$(dirname $0)/build_all_v2.mk" "${target}"